@charset "UTF-8";

:root {
  --buttonGradiation: linear-gradient(45deg, #1cde89, #195ecd);
  --font20: clamp(0.533rem, 2.67vw, 1.25rem);
  --font21: clamp(0.56rem, 2.8vw, 1.313rem);
  --font22: clamp(0.587rem, 2.93vw, 1.375rem);
  --font24: clamp(0.64rem, 3.2vw, 1.5rem);
  --font25: clamp(0.667rem, 3.33vw, 1.563rem);
  --font26: clamp(0.667rem, -0.046rem + 3.57vw, 1.625rem);
  --font27: clamp(0.72rem, 3.6vw, 1.688rem);
  --font28: clamp(0.747rem, 3.73vw, 1.75rem);
  --font30: clamp(0.8rem, 4vw, 1.875rem);
  --font33: clamp(0.88rem, 4.4vw, 2.063rem);
  --font42: clamp(1.12rem, 5.6vw, 2.625rem);
  --font49: clamp(1.323rem, 6.61vw, 3.101rem);
}

html {
  position: relative;
  overflow-x: hidden;
}

html:has(dialog[open]) {
  overflow: hidden;
}

li {
  list-style: none;
}

a {
  color: inherit;
  text-decoration: none;
}

:where(audio, iframe, img, svg, video) {
  max-block-size: 100%;
  max-inline-size: 100%;
}

.wrapper {
  padding: 0 clamp(1.563rem, -0.019rem + 7.91vw, 3.688rem);
}


header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: clamp(2.813rem, -0.025rem + 14.19vw, 6.625rem);
  padding: 0 clamp(0.813rem, 0.022rem + 3.95vw, 1.875rem);
  margin: 0 auto;
  font-size: var(--font25);
  color: #383934;
  font-family: "Helvetica Neue",
    Arial,
    "Hiragino Kaku Gothic ProN",
    "Hiragino Sans",
    "Noto Sans JP",
    sans-serif;

  p,h1,h2,h3,h4,h5,dl,dt,dd,ul,li,figure{
    margin: 0;
    padding: 0;
    line-height: 1;
  }
  div{
    line-height: 1;
  }

  .logo {
    width: clamp(4.375rem, 0.049rem + 21.63vw, 10.188rem);
  }

  .pc-nav {
    display: none;
  }

  /* ハンバーガーメニュー　ここから */
  button {
    position: relative;
    background: transparent;
    border: none;
    width: 50px;
    height: 50px;
    transition: 0.5s;
    padding: 4px;
  }
  button:hover {
    background-color: #808080;
  }

  .open-button,
  .open-button::before,
  .open-button::after {
    display: block;
    content: "";
    width: 42px;
    height: 2px;
    border-radius: 2px;
    background: #444;
    transition: 0.3s;
    position: absolute;
  }

  .open-button::before{
    bottom: 12px;
  }
  .open-button::after {
    top: 12px;
  }

  .close-button,
  .close-button::after {
    display: block;
    content: "";
    width: 42px;
    height: 2px;
    border-radius: 2px;
    background: #444;
    transition: 0.3s;
    position: absolute;
    transform: rotate(45deg);
  }

  .close-button::after {
    transform: rotate(90deg);
  }
  .nav-menu {
    position: fixed;
    width: 60%;
    height: clamp(22.5rem, 0.174rem + 111.63vw, 52.5rem);
    top: 0;
    right: 0;
    margin: 0;
    padding: clamp(1rem, 0.07rem + 4.65vw, 2.25rem);
    inset: initial;
    inset: 0 0 auto auto;
    max-width: none;
    max-height: none;
    border: none;
    border-radius: 0 0 0 20px;
    text-align: right;
    translate: 100% 0;
    overflow: visible;
    transition:
    translate 1s ease,
    display 1s allow-discrete,
    overlay 1s allow-discrete;

    nav {
      text-align: left;
    }
  }
  .nav-menu[open] {
    --menu-interaction-delay: 1s;
    translate: 0 0;

    @starting-style {
      translate: 100% 0;
    }

    &::backdrop {
      opacity: 1;

      @starting-style {
        opacity: 0;
      }
    }
  }


  .sp nav ul{
    padding: 0 clamp(0.625rem, -0.212rem + 4.19vw, 1.75rem);
    
    li{
      border-bottom: 2px dotted;
      margin-bottom: clamp(1.063rem, -0.007rem + 5.35vw, 2.5rem);
    
      a {
        display: block;
        font-size: var(--font30);
        font-weight: 600;
        padding-bottom: clamp(1.063rem, -0.007rem + 5.35vw, 2.5rem);
        padding-left: 1.5em;
      }
    }
    li:nth-of-type(5),
    li:last-of-type {
      border-bottom: none;
      margin-bottom: 0;
    }
    .mail {
      display: grid;
      place-content: center;
      grid-auto-flow: column;
      width: 100%;
      padding: 1em 0;
      text-align: center;
      background-image: var(--buttonGradiation);
      border-radius: clamp(1.563rem, 0.865rem + 3.49vw, 2.5rem);
      color: #fff;

      img {
        display: inline-block;
        padding-right: 0.5em;
        width: clamp(1.375rem, 0.073rem + 6.51vw, 3.125rem);
      }
    }
  }
}

footer {
  background-color: #ececec;
  padding-top: clamp(1.938rem, 0.031rem + 9.53vw, 4.5rem);
  padding-bottom: clamp(1.563rem, -0.065rem + 8.14vw, 3.75rem);
  margin: 0 auto;
  font-size: var(--font25);
  color: #383934;
  font-family: "Helvetica Neue",
    Arial,
    "Hiragino Kaku Gothic ProN",
    "Hiragino Sans",
    "Noto Sans JP",
    sans-serif;
  
  div{
    line-height: 1;
  }
  p,h1,h2,h3,h4,h5,dl,dt,dd,ul,li,figure{
    margin: 0;
    padding: 0;
    line-height: 1;
  }

  .phone-number {
    text-align: center;

  .logo a{
    display: inline-block;
    width: clamp(7.25rem, -0.052rem + 36.51vw, 17.063rem);
  }

  h3 {
    position: relative;
    line-height: 1.3;
    font-size: var(--font30);
    margin-top: clamp(1.255rem, -0.23rem + 7.42vw, 3.25rem);
    margin-bottom: clamp(0.63rem, -0.087rem + 3.59vw, 1.594rem);
  }

  h3::before {
    position: absolute;
    display: block;
    content: "";
    border-left: 2px solid;
    width: 2px;
    height: clamp(1.313rem, -0.129rem + 7.21vw, 3.25rem);
    top: 26%;
    left: 20%;
    transform: rotate(-25deg);
  }

  h3::after {
    position: absolute;
    display: block;
    content: "";
    border-right: 2px solid;
    width: 2px;
    height: clamp(1.313rem, -0.129rem + 7.21vw, 3.25rem);
    top: 26%;
    right: 20.5%;
    transform: rotate(25deg);
  }

    .tel a,
    .fax a{
      display: grid;
      place-content: center;
      grid-auto-flow: column;
      width: 73.1%;
      font-size: var(--font49);
      text-align: center;
      background-image: var(--buttonGradiation);
      border-radius: 63px;
      color: #fff;
      margin: 0 auto;
      padding: clamp(0.875rem, -0.102rem + 4.88vw, 2.188rem) 0 clamp(0.813rem, 0.022rem + 3.95vw, 1.875rem);
    }

    .tel img{
      display: inline-block;
      width: clamp(1.063rem, -0.054rem + 5.58vw, 2.563rem);
      margin-right: 0.3em;
    }
    .fax {
      margin-top: clamp(0.375rem, -0.09rem + 2.33vw, 1rem);

      img {
        width: clamp(1.313rem, -0.036rem + 6.74vw, 3.125rem);
        margin-right: 0.3em;
      }
    }

    .mail-receive {
      font-size: var(--font27);
      font-weight: 600;
      margin-top: clamp(1rem, -0.163rem + 5.81vw, 2.563rem);
    }

    .opening-hours {
      font-size: var(--font24);
      line-height: 1.5;
      margin-top: clamp(0.715rem, -0.102rem + 4.08vw, 1.813rem);
      margin-bottom: clamp(2.902rem, -0.147rem + 15.25vw, 7rem);
    }
  }

  .sp-flex {
    display: grid;
    grid-template-columns: 1fr 1fr;

    .sp-flex-right {  
      justify-self: center;
    }

    h3 {
      font-size: var(--font28);
      margin-bottom: clamp(0.938rem, -0.039rem + 4.88vw, 2.25rem);
    }

    li{
      position: relative;
      font-size: var(--font24);
      padding-left: 1.45em;
      margin-bottom: clamp(0.813rem, -0.071rem + 4.42vw, 2rem);
    }

    li::before {
      position: absolute;
      content: "";
      display: block;
      width: var(--font24);
      height: 4px;
      top: 50%;
      left: 0;
      transform: translateY(-50%) scaleY(0.5);
      background-image: var(--buttonGradiation);
    }

    .footer-link {
      margin-top: clamp(2.5rem, -0.151rem + 13.26vw, 6.063rem);
    }

    .recruit,
    .guide {
      margin-top: clamp(2rem, -0.14rem + 10.7vw, 4.875rem);
    }

    .category {
      margin-top: clamp(1.875rem, -0.172rem + 10.23vw, 4.625rem);
    }
  }

  .copyright {
    font-size: var(--font20);
    text-align: center;
    margin-top: clamp(4.25rem, -0.169rem + 22.09vw, 10.188rem);
  }
}

@media screen and (min-width: 751px) {
    :root {
    --buttonGradiation: linear-gradient(45deg, #1cde89, #195ecd);
    --font20: 12px;
    --font21: 14px;
    --font22: 18px;
    --font24: 28px;
    --font25: 20px;
    --font26: 20px;
    --font27: 16px;
    --font28: 24px;
    --font30: 30px;
    --font33: 27px;
    --font42: 42px;
    --font49: 30px;
  }

  .sp {
    display: none!important;
  }

  a {
    transition: 0.5s;
  }

  a:hover {
    opacity: 0.5;
  }

  .wrapper {
    width: 960px;
    margin: 0 auto;
    padding: 0!important;
  }

  header {
    padding: 0;
    min-width: 960px;
    box-sizing: border-box;
    height: 96px;

    .logo {
      width: 163px;

    }
    .pc-nav {
      display: block;

      ul {
        display: flex;
        align-items: center;
        flex-wrap: nowrap;

        li {
          font-size: 16px;
          margin-right: 33px;

          a {
            position: relative;
            padding-bottom: 18px;
          }

          a::before {
            position: absolute;
            display: inline-block;
            content: "";
            width: 100%;
            height: 2px;
            background-image: var(--buttonGradiation);
            bottom: 0;
            left: 0;
            opacity: 0;
            transition: 0.5s;
          }

          a:hover::before {
            opacity: 1;
          }
        }
        li:last-of-type {
          margin-right: 0;
        }

        .mail {
          display: grid;
          place-content: center;
          grid-auto-flow: column;
          background-image: var(--buttonGradiation);
          padding: 1em 1.5em;
          color: #fff;
          border-radius: 30px;

          img {
            width: 20px;
            margin-right: 8px;
          }
        }

        .mail::before{
          display: none;
        }
      }
    }
  }

  footer {
    padding-top: 88px;
    padding-bottom: 40px;

    .footer-flex {
      display: flex;
    }

    .phone-number {
      width: 283px;

      .logo{
        text-align: left;
        a{
          width: 173px;
        }
      }
      
      h3 {
        font-size: 18px;
        margin-top: 37.3px;
        margin-bottom: 15.3px;
      }
      h3::before {
        height: 34px;
        top: 8px;
        left: 15px;
      }
      h3::after {
        height: 34px;
        top: 8px;
        right: 18px;
      }

      .tel a,
      .fax a {
        width: 100%;
        font-size: 26px;
        padding: 20px 0 16px;
      }

      .tel img {
        width: 25px;
      }

      .fax img {
        width: 30px;
        margin-right: 13px;
      }

      .mail-receive {
        margin-top: 16px;
      }

      .opening-hours {
        font-size: 13px;
        margin-top: 18.75px;
        margin-bottom: 0;
      }
    }

    .sp-flex {
      width: 717px;
      grid-template-columns: 567px 150px;

      h3 {
        font-size: 18px;
        margin-bottom: 22px;
      }

      li {
        font-size: 15px;
        padding-left: 20px;
        margin-bottom: 20px;
      }
      li::before {
        width: 10px;
      }


      .sp-flex-left {
        padding-left: 95px;
        display: grid;
        grid-template-rows: auto;
        grid-auto-flow: column;
        grid-template-columns: 214px 353px;

        .footer-link {
          margin-top: 0;
        }
      }

      .sp-flex-right {
        justify-self: end;

        .recruit, .guide {
          margin-top: 50px;
        }

        .category {
          margin-top: 46px;
        }
      }
    }

    .copyright {
      margin-top: 80px;
    }
  }
}
